<?
  session_start();
  include("../../clases/BDConexion.php");
  include("../../clases/clsPer.php");
  include("../Funciones.php");
  include("../funcion/funciones.php");
  
  $objPer=new clsPer;
	/* echo $tipohora."<br>";
	echo $dispesot."<br>"; */ 
	
	$rsp=$objPer->pesopasajero($cod_ruta,$fecha);
	while($rowp=$objPer->NextRow($rsp)){
		if($rowp['suma']!=0){		
		$sumparp=$rowp['suma'];		
		}else{
		$sumparp=1;
		}
		$calhorap=($sumparp/$dispesot)*$tipohora;
		$objPer->UpdateManPassH($rowp['codigo_mpass'],$calhorap);		
	}$objPer->Liberar($rsp);
	
	$rsc=$objPer->pesocarga($cod_ruta,$fecha);	
	while($rowc=$objPer->NextRow($rsc)){
		if($rowc['suma']!=0){		
		$sumparc=$rowc['suma'];		
		}else{
		$sumparc=1;
		}		
		$calhorac=(($sumparc/$dispesot)*$tipohora);		
		$objPer->UpdateManCarH($rowc['codigo_w'],$calhorac);
	}$objPer->Liberar($rsc);
	//echo $sumita;
	echo "Se Grabo Satisfactoriamente";
?>